package com.nostra13.universalimageloader.core.assist.imageaware;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.view.View;
import com.nostra13.universalimageloader.core.assist.ViewScaleType;

/**
 * Created by Sergey.Tarasevich on 02.09.13.
 */
public class FakeImageAware implements ImageAware {

	private final int width;
	private final int height;
	private final ViewScaleType scaleType;

	public FakeImageAware(int width, int height, ViewScaleType scaleType) {
		this.width = width;
		this.height = height;
		this.scaleType = scaleType;
	}

	@Override
	public int getWidth() {
		return width;
	}

	@Override
	public int getHeight() {
		return height;
	}

	@Override
	public ViewScaleType getScaleType() {
		return ViewScaleType.CROP;
	}

	@Override
	public void setImageResource(int imageResId) { // Do nothing
	}

	@Override
	public void setImageDrawable(Drawable drawable) { // Do nothing
	}

	@Override
	public void setImageBitmap(Bitmap bitmap) { // Do nothing
	}

	@Override
	public View getWrappedView() {
		return null;
	}

	@Override
	public boolean isViewLost() {
		return false;
	}
}